#include <bits/stdc++.h>
using namespace std;
int neg[200005];
  int n;
  string s;
int main(){
    cin >> n;
    int brn = 0, brp = 0;
    bool svi = true;
    bool svine = true;
  for(int i = 1; i<=n; i++) {
        cin >> neg[i];
        if(neg[i]%2) svi = false;
        if(neg[i]%2==0) svine = false;
        if(neg[i]<0) brn++;
        else brp++;
  }
  if(svi){
    if(brn>brp){
        cout << n << endl;
    for(int i = 1; i<brn; i++){
        cout << 21;
    }
    cout << 2 << endl;
    }
    else if(brn==brp){
        cout << n << endl;
    for(int i = 1; i<=brn; i++){
        cout << 21;
    }
    cout << endl;
    }
    else if(brn<brp){
        cout << n << endl;
    for(int i = 1; i<brp; i++){
        cout << 12;
    }
    cout << 1 << endl;
    }
    return 0;
  }
  cout << n << endl;
  for(int i = 1; i<n; i++){
    cout << 23;
  }
  cout << 2 << endl;
   
    return 0;
}